Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02248 Sound Major Always Sep 14, 2008, 21:10 Sep 18, 2008, 15:44
Tester Luigi30 View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver m58.cpp
Version 0.127u3 Fixed in Version 0.127u4 Build
Summary 02248: All sets in m58.c: No sound in game
Description All sound is broken in m58.c games. They use 2x AY-3-8910A and an MSM5205.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.127u3
Affected Sets / Systems All sets in m58.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.02462
Tafoid
Administrator
Sep 14, 2008, 21:29
Yeah, seems to be a lot of related drivers are missing sound. To consolidate the eventual many reports of drivers with no sound, Luigi, please add the information to this report as a note or edit "Additional Information" field.

Confirmed and corrected regression to 0.127u3.
User avatar
No.02463
Luigi30
Tester
Sep 14, 2008, 22:46
edited on: Sep 14, 2008, 22:47
Is there an easy way to generate a list of games with a certain sound CPU?
User avatar
No.02466
Firewave
Senior Tester
Sep 15, 2008, 03:25
Use the -listxml output and search for the chip name.